# scipy.interpolate.NdPPoly.antiderivative

`NdPPoly.``antiderivative`(nu)

  Construct a new piecewise polynomial representing the antiderivative.

  Antiderivative is also the indefinite integral of the function, and derivative is its inverse operation.

  Parameters:

  nu : ndim-tuple of int

  > Order of derivatives to evaluate for each dimension. If negative, the derivative is returned.

  Returns:

  pp : PPoly

  > Piecewise polynomial of order k2 = k + n representing the antiderivative of this polynomial.

  Notes

  The antiderivative returned by this function is continuous and continuously differentiable to order n-1, up to floating point rounding error.